Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 6 Jan 2015 17:34:13 +0800
From:      Ben Woods <woodsb02@gmail.com>
To:        a jenisch <a@jenisch.at>
Cc:        "gnome@freebsd.org" <gnome@freebsd.org>, "freebsd-questions@freebsd.org" <freebsd-questions@freebsd.org>
Subject:   Re: Gnome2 -> Gnome3 - no way
Message-ID:  <CAOc73CBpiY8s1cj0pU+hdmcRJu=tni-QStB4xW+0d+0BJNniEg@mail.gmail.com>
In-Reply-To: <CAPeCvyLiYDETAoQ3C4Cmbn9UcuxOxy3n9y3Jy+6rSBCfCL-S_Q@mail.gmail.com>
References:  <CAPeCvyLiYDETAoQ3C4Cmbn9UcuxOxy3n9y3Jy+6rSBCfCL-S_Q@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
The most recent build of the ports system skipped the gnome3 port because
the freerdp port is a dependency and had linker errors when building.

http://beefy2.isc.freebsd.org/build.html?mastername=10amd64-default&build=2014-12-31_03h22m27s

http://beefy2.isc.freebsd.org/data/10amd64-default/2014-12-31_03h22m27s/logs/errors/freerdp-1.1.0_2.log

Hopefully the errors will be resolved soon, and the gnome3 package will be
once again available after the next package run.

Regards,
Ben

On Tuesday, January 6, 2015, a jenisch <a@jenisch.at> wrote:

> Hi,
>
> In the process of upgrading one of my systems (FreeBSD amd64,
> 9.3-STABLE) I came across the update from gnome2 to gnome 3.
> The corresponding entry in /usr/ports/UPDATING says
>
> ---------- < cut here > ----------
>
> 20141119:
>   AFFECTS: users of x11/gnome2, graphics/clutter and lang/vala
> ...
>   Make a list of the installed ports:
>   # pkg info > ~/installed-ports-list
>
>   Delete the old and conflicting packages:
>   # pkg delete clutter gnome-utils gnome-panel gnome-keyring vala-vapigen \
>       guile gcalctool gnome-media libgnomekbd gnome-themes at-spi
>   # pkg delete gnome-screensaver gnome-applets bug-buddy \
>       evolution-exchange evolution-webcal gnome-system-tools \
>       seahorse-plugins gnome-control-center
>   For package users the following lines will be enough:
>   # pkg upgrade
>   # pkg install gnome3
>
>   For ports users should do the following:
>   # portmaster -a
>   # portmaster x11/gnome3
>
> ---------- < cut here > ----------
>
> Up to and including the "pkg delete" entries everything went OK.
>
> But when I tried to do a "pkg install gnome3" I only got
>
> # pkg install gnome3
> Updating FreeBSD repository catalogue...
> FreeBSD repository is up-to-date.
> All repositories are up-to-date.
> pkg: No packages available to install matching 'gnome3' have been
> found in the repositories
> #
>
> The only gnome3-related thing that seems to be available as package
> seems to be "gnome3-lite" which clearly is not the full gnome3.
>
> Even though I normally use portupgrade for upgrading my ports I tried
> to run the two portmaster commands given in "UPDATING" but again this
> didn't work.
>
> Just out of curiosity I went and installed a fresh 10.1 System and
> tried to do a "pkg install gnome3" there - again gnome3 couldn't be
> found as a package; so this seems to be a more general issue.
>
>
>
> So here are my questions:
>
> o) Has anybody else out there experienced similar issues in upgrading
> from gnome2 to gnome3?
>
> o) How can I get gnome3 on my system again?
>
> o) AFAIK gnome3 is a supported desktop environment under FreeBSD (?).
> Are there, besides KDE which I don't like for personal reasons, any
> reasonable alternatives providing similar features like Gnome?
>
> Thanks much in advance for your help,
> -ewald
> _______________________________________________
> freebsd-questions@freebsd.org <javascript:;> mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-questions
> To unsubscribe, send any mail to "
> freebsd-questions-unsubscribe@freebsd.org <javascript:;>"
>


-- 

--
From: Benjamin Woods
woodsb02@gmail.com



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAOc73CBpiY8s1cj0pU+hdmcRJu=tni-QStB4xW+0d+0BJNniEg>